@import "./shared/config";

html
{
  background-color: #ffffff;
  min-height: 100%;
  display: flex;
  flex-direction: row; /* IE10/11 Workaround for child elements with flex-direction: column to outfill content area (main) */

  //Any global font should be defined in shared/rtd/rtd.css
}

//H1 etc font styling should be added to shared/rtd/rtd.css

body
{
  -webkit-font-smoothing: antialiased;

  overflow: hidden;
  overflow-y: auto;
  display: flex;
  width: 100vw;
  flex-direction: column;
  min-height: 100vh;
  padding-top: 90px;
}

/* responsive font size */
@media(max-width: 1000px)
{
  h1
  {
    font-size: 4vw;
  }
}
@media(max-width: 550px)
{
  h1
  {
    font-size: 22px;
  }

  h2
  {
    font-size: 18px;
  }

  h3
  {
    font-size: 16px;
  }
}

/* header */
header
{
  flex: none;
}

.headerimage
{
  max-height: 480px;
  overflow: hidden;
  color: #fff;
  position: relative;

  h1
  {
    color: inherit;
    padding-bottom: 30px;

    @media(max-width: 600px)
    {
      padding-bottom: 15px;
    }
  }

  picture
  {
    height: 100%;
    width: 100%;
    display: block;
    overflow: hidden;
    object-fit: cover;
    object-position: 50% 50%;

    img
    {
      width: 100%;
      vertical-align: bottom;
    }
  }

  .content
  {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    text-shadow: 0 2px 4px rgba(0,0,0,0.5);
  }
}

.news-date
{
  text-transform: uppercase;
}

.contentlist
{
  ul
  {
    list-style-type: none;
    margin: 25px 0 0;
    padding: 25px 0;
    border-top: 1px solid #c5c5c5;
  }

  a
  {
    color: inherit;
    text-decoration: none;
    display: block;
    position: relative;
    padding-left: 190px;
    min-height: 90px;

    & > *
    {
      display: block;
    }
  }

  .image
  {
    position: absolute;
    width: 160px;
    height: 90px;
    top: 0;
    left: 0;

    & > img
    {
      vertical-align: bottom;
    }
  }

  .title
  {
    color: $primarycolor;
    font: 700 18px/120% 'Montserrat', sans-serif, Arial;
    padding-bottom: 5px;
  }

  .date
  {
    padding-bottom: 5px;
  }
}

main
{
  flex: 1 0 auto; /* vertical (column) outfill */
  max-width: 100%;
  padding-top: 20px;
  padding-bottom: 20px;
}

.centercontent
{
  width: 100%;
  max-width: $maxcontentwidth + 2*$contentpadding;
  padding-left: $contentpadding;
  padding-right: $contentpadding;
  margin-left: auto;
  margin-right: auto;
}

  main > *
, .headerimage .content > *
{
  width: 100%;
  max-width: $maxrtdwidth + 2*$contentpadding;
  margin-left: auto;
  margin-right: auto;
  padding-left: $contentpadding;
  padding-right: $contentpadding;
}

#mainnav
{
  color: #6a6a6a;
  font-family: 'Montserrat', sans-serif, Arial;
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  height: 90px;
  background-color: #fff;
  z-index: 1; /* keep on top */
  border-bottom: 1px solid #c5c5c5;

  a
  {
    color: inherit;
    text-decoration: none;
  }

  nav
  {
    padding-top: 24px;
    height: 89px;
    background-color: #fff;
    display: flex;
    justify-content: space-between;
    font-size: 16px;
    position: relative;
    z-index: 1; /* keep on top of search box */

    ul
    {
      list-style-type: none;
      margin: 0;
      padding: 0 45px 0 0;
    }

    & > ul
    {
      white-space: nowrap;
      padding-top: 14px;

      & > li
      {
        display: inline-block;
        position: relative;
        padding-bottom: 40px;

        & + li
        {
          margin-left: 30px;
        }

        & > a
        {
          text-transform: uppercase;
          font-weight: 700;

          .moreitems
          {
            display: inline-block;
            font-size: 10px;
            padding-left: 5px;
            padding-top: 1px;
            vertical-align: top;
          }
        }

          &.active > a
        , &:hover > a
        {
          color: $primarycolor;

          & > .title
          {
            border-bottom: 2px solid $primarycolor;
          }
        }

        & > ul
        {
          position: absolute;
          display: none;
          top: 100%;
          margin-top: -15px;
          left: 50%;
          transform: translateX(-50%);
          padding: 20px;
          background-color: #fff;
          box-shadow: 0 1px 5px 2px rgba(0,0,0,0.1);
          width: 230px;
          line-height: 125%;

            &::before
          , &::after
          {
            content: "";
            display: block;
            position: absolute;
            background-color: #fff;
          }

          &::before
          {
            box-shadow: 0 1px 5px 2px rgba(0,0,0,0.1);
            top: -9px;
            left: 50%;
            margin-left: -10px;
            width: 17px;
            height: 17px;
            transform: rotate(45deg);
          }

          &::after
          {
            top: 0;
            left: 0;
            right: 0;
            height: 15px;
          }

          & > li
          {
            white-space: normal;

              &.active > a
            , &:hover > a
            {
              color: $primarycolor;
            }

            & + li
            {
              margin-top: 15px;
            }
          }
        }

        &:hover > ul
        {
          display: block;
        }
      }
    }
  }

  .logo
  {
    display: inline-flex;
    text-decoration: none;
    font-weight: 700;
    position: relative;
    text-transform: uppercase;
    font-size: 22px;
    align-items: center;
    height: 42px;
    padding-left: 53px;
    padding-right: 15px;
    outline: none;

    img
    {
      position: absolute;
      top: 0;
      left: 0;
      height: 42px;
      width: 42px;
    }

    .highlight
    {
      color: $primarycolor;
    }
  }

  .toggle-topsearch
  {
    position: absolute;
    top: 38px;
    right: 20px;
    width: 20px;
    height: 20px;
    outline: none;
    transition: color 0.3s;
    flex: none;

    &:hover
    {
      color: $primarycolor;
    }
  }

  .mobilenav-toggle
  {
    color: inherit;
    flex: none;
    position: absolute;
    top: 0;
    right: 20px;
    height: 100%;
    width: 40px;
    display: none;
    font-size: 30px;
    align-items: center;
    justify-content: flex-end;
    transition: color 0.3s;
    outline: none;
    cursor: pointer;

      &__hide
    , html.showmobilemenu &__show
    {
      display: none;
    }

    html.showmobilemenu &__hide
    {
      display: inline-block;
      padding-right: 3px;
    }

    &:hover
    {
      color: $primarycolor;
    }
  }
}

@media(max-width: 850px)
{
  body
  {
    padding-top: 60px;
  }

  #mainnav
  {
    height: 60px;

    nav
    {
      height: 59px;
    }

    .logo
    {
      position: fixed;
      top: 9px;
      left: 20px;
    }

    .menuitems
    {
      position: fixed;
      left: -320px;
      top: 60px;
      bottom: 0;
      background-color: #fff;
      padding: 20px;
      white-space: nowrap;
      width: 320px;
      max-width: 100vw;
      border-right: 1px solid #c5c5c5;
      overflow: hidden;
      overflow-y: auto;
      transition: left 0.4s;

      html.showmobilemenu &
      {
        left: 0;
      }

      & > li
      {
        display: block;
        margin-left: 0;
        padding-bottom: 15px;

        & > ul
        {
          position: relative;
          margin-top: 15px;
          top: 0;
          left: 0;
          padding: 0;
          transform: none;
          box-shadow: none;
          width: auto;

          &::before, &::after
          {
            display: none;
          }
        }

        &:hover > ul
        {
          display: none;
        }

        &.active > ul
        {
          display: block;
        }
      }
    }

    .toggle-topsearch
    {
      position: absolute;
      top: 0;
      width: 50px;
      right: 60px;
      height: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      font-size: 22px;

    }

    .mobilenav-toggle
    {
      display: flex;
    }
  }
}


#pathnav
{
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  list-style-type: none;
  padding: 0 20px 20px;
  margin: 0 auto;
  flex: none;

  li
  {
    display: inline-block;
  }

  li + li::before
  {
    display: inline-block;
    content: "›";
    padding: 0 5px;
  }

  a
  {
    text-decoration: none;
    color: #7c7c7c;
    font-size: 13px;

    &:hover
    {
      text-decoration: underline;
    }
  }
}

.newsletterform
{
  flex: none;
  background-color: $primarycolor;
  color: #fff;
}

.newslettersubscription
{
  background-color: $primarycolor;
  color: #fff;
  flex: none;

  form
  {
    padding-top: 45px;
    padding-bottom: 45px;
    display: flex;
    justify-content: space-between;
    flex-flow: row;
    position: relative;

    & > *
    {
      outline: none;
      -webkit-appearance: none;
      -moz-appearance: none;
      -o-appearance: none;
      appearance: none;
      height: 40px;
      border: 0 none;
      max-width: 50%;
      background-color: transparent;
    }

    .title
    {
      font: 700 30px/130% 'Montserrat', sans-serif, Arial;
      text-transform: uppercase;
      flex: 1 1 50%;
      margin-right: 15px;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
    }

    input
    {
      flex: 1 1 50%;
      margin-left: 15px;
      font-size: 16px;
      color: inherit;
      line-height: 20px;
      padding: 10px 80px 10px 15px;
      line-height: 20px;
      border-bottom: 1px solid #fff;
    }

    button
    {
      position: absolute;
      right: 35px;
      bottom: 45px;
      flex: none;
      cursor: pointer;
      text-transform: uppercase;
      font: 700 15px/40px 'Montserrat', sans-serif, Arial;
      color: inherit;
    }

    @media(max-width: 1000px)
    {
      flex-flow: column;

      & > *
      {
        max-width: 100%;
      }

      input
      {
        margin-top: 10px;
        flex-basis: auto;
        margin-left: 0;
      }
    }

    @media(max-width: 600px)
    {
      .title
      {
        font-size: 5vw;
      }
    }
  }
}

footer
{
  flex: none;
  background-color: #4a4a4a;
  color: #fff;
  padding-top: 30px;

  ul
  {
    list-style-type: none;
    margin: 0;
    padding: 0;
  }

  a
  {
    color: inherit;
    text-decoration: none;

    &:hover
    {
      text-decoration: underline;
    }
  }

  .columns
  {
    display: flex;

    & > .col
    {
      flex: 1 1 33%;
      padding-right: 30px;
      max-width: calc(25% + 7px);
      font-size: 15px;

      .col__title
      {
        padding-top: 10px;
        padding-bottom: 10px;
        font-family: 'Montserrat', sans-serif, Arial;
        font-weight: 700;
        text-transform: uppercase;
      }

      &:last-child
      {
        max-width: calc(25% - 30px);
        padding-right: 0;
      }

      p
      {
        margin-bottom: 0;
      }

        .line + .line
      , p + p
      {
        padding-top: 10px;
      }
    }

    @media(max-width: 750px)
    {
      flex-wrap: wrap;

      & > .col
      {
        flex-basis: 50%;
        padding-right: 15px;
        max-width: 50%;

        &:nth-child(2n)
        {
          padding-left: 15px;
          padding-right: 0;
          max-width: 50%;
        }

        &:nth-child(3), &:nth-child(4)
        {
          margin-top: 15px;
        }
      }
    }

    @media(max-width: 500px)
    {
      flex-flow: column;

      & > .col
      {
        flex-basis: auto;
        padding-right: 15px;
        max-width: 100%;

        & + .col
        {
          margin-top: 15px;
          padding-right: 0;
        }

        &:nth-child(2n)
        {
          padding-left: 0;
          padding-right: 0;
          max-width: 100%;
        }
      }
    }

  }

 .logo
  {
    display: inline-flex;
    text-decoration: none;
    font-weight: 700;
    position: relative;
    text-transform: uppercase;
    font-size: 22px;
    align-items: center;
    height: 42px;
    padding-left: 53px;
    padding-right: 15px;

    &:hover
    {
      text-decoration: none;
    }

    img
    {
      position: absolute;
      top: 0;
      left: 0;
      height: 42px;
      width: 42px;
    }
  }


  #footernav
  {
    margin-top: 40px;
    padding-top: 20px;
    padding-bottom: 30px;
    border-top: 1px solid #fff;
    display: flex;
    justify-content: space-between;

    li
    {
      display: inline-block;
    }

    .footernav li
    {
      margin-right: 30px;
      font-size: 13px;
    }

    .socialmedia
    {
      white-space: nowrap;

      li
      {
        margin-left: 15px;
        font-size: 18px;

        a
        {
          transition: opacity 0.3s;
          opacity: 1;

          &:hover
          {
            text-decoration: none;
            opacity: 0.8;
          }
        }
      }

      .icon
      {
        display: inline-block;
      }
    }

    @media(max-width: 600px)
    {
      display: block;
      padding-bottom: 20px;

      .footernav
      {
        text-align: center;
      }

      .footernav li
      {
        &:first-child
        {
          width: 100%;
          padding-bottom: 5px;
        }

        margin-right: 15px;
      }

      .socialmedia
      {
        text-align: center;
        margin-left: 0;
        margin-top: 10px;
      }
    }
  }

}
